<template>
    <div class="html_viewer">
        <el-radio-group v-model="currentMode" size="small">
            <el-radio-button label="html">Html</el-radio-button>
            <el-radio-button label="raw">Raw</el-radio-button>
        </el-radio-group>

        <div v-if="isHtml" v-html="value" class="html_viewer__txt"></div>
        <div v-else class="html_viewer__txt">{{value}}</div>
    </div>
</template>

<script>
export default {
    props: {
        /** html text */
        value: {
            type: String,
            required: false,
        },
        /** html viewer mode: raw text or html */
        mode: {
            type: String,
            required: false,
            default: 'html',
        },
    },
    data() {
        return {
            currentMode: this.mode,
        };
    },
    computed: {
        isHtml: vm => vm.currentMode === 'html',
    },
};
</script>

<style lang="stylus" scoped>
.html_viewer
    flex-grow: 1
    padding-right: 2rem

.html_viewer__txt
    margin-top: 1rem
    padding: 1rem
    background-color: $bg_light_gray
    border: 1px inset $bg_light_gray
    border-radius: .5rem

</style>
